com.amazon.redshift.jdbc

## Enum MetadataAPIHelper.GetFunctions_Metadata

- java.lang.Object
- - java.lang.Enum<MetadataAPIHelper.GetFunctions_Metadata>
  - - com.amazon.redshift.jdbc.MetadataAPIHelper.GetFunctions_Metadata

All Implemented Interfaces:
  MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctions_Metadata>, Serializable, Comparable<MetadataAPIHelper.GetFunctions_Metadata>

Enclosing class:
  MetadataAPIHelper

    public static enum MetadataAPIHelper.GetFunctions_Metadata
    extends Enum<MetadataAPIHelper.GetFunctions_Metadata>
    implements MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctions_Metadata>

Define return columns for JDBC API getFunctions according to the spec

See Also:
  JDBC Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FUNCTION_CAT`
`FUNCTION_NAME`
`FUNCTION_SCHEM`
`FUNCTION_TYPE`
`REMARKS`
`SPECIFIC_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getIndex()`
`String` `getName()`
`int` `getOidType()`
`static MetadataAPIHelper.GetFunctions_Metadata` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MetadataAPIHelper.GetFunctions_Metadata[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FUNCTION_CAT

    public static final MetadataAPIHelper.GetFunctions_Metadata FUNCTION_CAT

#### FUNCTION_SCHEM

    public static final MetadataAPIHelper.GetFunctions_Metadata FUNCTION_SCHEM

#### FUNCTION_NAME

    public static final MetadataAPIHelper.GetFunctions_Metadata FUNCTION_NAME

#### REMARKS

    public static final MetadataAPIHelper.GetFunctions_Metadata REMARKS

#### FUNCTION_TYPE

    public static final MetadataAPIHelper.GetFunctions_Metadata FUNCTION_TYPE

#### SPECIFIC_NAME

    public static final MetadataAPIHelper.GetFunctions_Metadata SPECIFIC_NAME

### Method Detail

#### values

    public static MetadataAPIHelper.GetFunctions_Metadata[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetadataAPIHelper.GetFunctions_Metadata c : MetadataAPIHelper.GetFunctions_Metadata.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetadataAPIHelper.GetFunctions_Metadata valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIndex

    public int getIndex()

Specified by:
  `getIndex` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctions_Metadata>`

#### getName

    public String getName()

Specified by:
  `getName` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctions_Metadata>`

#### getOidType

    public int getOidType()

Specified by:
  `getOidType` in interface `MetadataAPIHelper.enumFunc<MetadataAPIHelper.GetFunctions_Metadata>`